For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PricingJoin CommunityGet API Key
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • POSTTranslate
  • Additional Resources
    • Try on Postman
LogoLogo
PricingJoin CommunityGet API Key
API ReferenceTranslation

Translate

POST
https://api.murf.ai/v1/text/translate
POST
/v1/text/translate
1from murf import Murf
2
3client = Murf()
4
5client.text.translate(
6 target_language="es-ES",
7 texts=[
8 "Hello, world.",
9 "How are you?"
10 ],
11)
1{
2 "metadata": {
3 "character_count": {
4 "total_source_text_length": 25,
5 "total_translated_text_length": 27
6 },
7 "credits_used": 1.5,
8 "target_language": "es_ES"
9 },
10 "translations": [
11 {
12 "source_text": "Hello, world.",
13 "translated_text": "Hola, mundo."
14 },
15 {
16 "source_text": "How are you?",
17 "translated_text": "¿Cómo estás?"
18 }
19 ]
20}
Was this page helpful?
Previous

Generate auth token

Next
Built with

Headers

api-keystringOptional

Request

This endpoint expects an object.
targetLanguagestringRequired
The language code for the target translation
textslist of stringsRequired
List of texts to translate

Response

Ok
metadataobject
translationslist of objects

Errors

400
Bad Request Error
402
Payment Required Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error